| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RpcServer Class Referenceabstract

An interface with generic RPC server functionality. More...

`#include <RpcServer.hpp>`

## Public Member Functions

virtual | ~RpcServer () noexcept=default
| Destructor.
virtual void | run ()=0
| Run the server.
virtual void | stop ()=0
| Stop the server.
virtual void | execute_request (const std::shared_ptr< RpcRequest > &request)=0
| Perform execution of a client request.

## Detailed Description

An interface with generic RPC server functionality.

## Constructor & Destructor Documentation

## ◆ ~RpcServer()

virtual ~RpcServer | ( |  | ) |

virtual default noexcept

Destructor.

## Member Function Documentation

## ◆ execute_request()

virtual void execute_request | ( | const std::shared_ptr< RpcRequest > & | request | ) |

pure virtual

Perform execution of a client request.

Parameters

  request | The client request to execute.

## ◆ run()

virtual void run | ( |  | ) |

pure virtual

Run the server.

This method starts the server and begins processing requests. The method will block until the server is stopped.

## ◆ stop()

virtual void stop | ( |  | ) |

pure virtual

Stop the server.

This method stops the server and releases all resources. It will cancel all pending requests, and wait for all processing threads to finish before returning.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/interfaces/RpcServer.hpp